org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmNamedImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

- All Implemented Interfaces:
    EdmNamed
  Direct Known Subclasses:
    EdmAssociationImpl, EdmAssociationSetImpl, EdmEntitySetImpl, EdmFunctionImportImpl, EdmStructuralTypeImpl, EdmTypedImpl

      public abstract class EdmNamedImpl
      extends Object
      implements EdmNamed

  See in ABNF

  `Note:this pattern is overly restrictive, the normative definition is type TSimpleIdentifier in OData EDM XML Schema
  odataIdentifier = identifierLeadingCharacter *127identifierCharacter
  identifierLeadingCharacter = ALPHA / "_" ; plus Unicode characters from the categories L or Nl
  identifierCharacter = ALPHA / "_" / DIGIT ; plus Unicode characters from the categories L, Nl, Nd, Mn, Mc, Pc, or Cf
  `

  And in OData V2 MC-CSDL (Release v20110610)

  Section 2.2.6 SimpleIdentifier
  SimpleIdentifier is a string-based representation. The maximum length of the identifier MUST be less than 480. The below pattern represents the allowed identifiers in ECMA specification: Pattern: `value="[\p{L}\p{Nl}][\p{L}\p{Nl}\p{Nd}\p{Mn}\p{Mc}\p{Pc}\p{Cf}]{0,}"`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EdmImpl` | `edm`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmNamedImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `void` | `setEdm(EdmImpl edm)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### edm

          protected EdmImpl edm

    - #### name

          protected String name

  - ### Constructor Detail

    - #### EdmNamedImpl

          public EdmNamedImpl()

  - ### Method Detail

    - #### setEdm

          public void setEdm(EdmImpl edm)

    - #### setName

          public void setName(String name)
                       throws EdmException

      Throws:
        `EdmException`

    - #### getName

          public String getName()
                         throws EdmException

      Specified by:
        `getName` in interface `EdmNamed`
      Returns:
        name as String
      Throws:
        `EdmException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.